Subject: Re: UDP checksum broken since 2.6.18?

From: "Thomas B. Rücker" <[email-masked]>
Date: Tue, 22 May 2007 23:33:30 +0000

Stephen Hemminger wrote:
> The packet passed to packet capture programs may not have a valid checksum
> if you have checksum offload configured on the device.  What kind of hardware
> do you have on sender and receiver? 
The c-snippet uses 127.x.x.x --> loopback
I think Philipp tested this on real NICs too.

I just proxied this information to this list because I don't have the
indepth knowledge about IP, UDP and the kernel. I had a Chat with Ralf
Baechle and he recommended sending a report to netdev@. Maybe Philipp
can give some more information. He discovered this.

Cheers

Thomas